%define gnomemm_version 1.2.2

Summary: Gabber is a GNOME client for Jabber instant messaging system.
Name: gabber
Version: 0.8.6
Release: 2mdk
Source0: http://download.sourceforge.net/gabber/%{name}-%{version}.tar.bz2
Source1: %{name}_icons.tar.bz2
License: GPL
Group: Networking/Instant messaging
Url: http://gabber.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gal-devel gdk-pixbuf-devel gnome-print-devel gnupg libglade-devel
BuildRequires: gnomemm-devel = %{gnomemm_version} openssl-devel
Prefix: %{_prefix}
Requires: scrollkeeper gnupg aspell
Requires: libgnomemm-1.2_9 = %{gnomemm_version}

%description
Gabber is a GNOME client for an Open Source instant messaging system 
named Jabber.
Jabber is an Open Source distributed instant messaging system. It does 
not rely on a single server, and the protocol is well documented. 
Jabber allows communication with many different instant messaging systems, 
including ICQ and AIM. 

%prep

%setup -q
bzcat %{SOURCE1} | tar xf -

# fix to build with gcc 2.96
autoconf

%build

CXXFLAGS=`echo %optflags | sed 's/-fomit-frame-pointer//g'` %configure2_5x
%make

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%makeinstall

#menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}

cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
needs="x11" \
section="Networking/Instant messaging" \
title="Gabber" \
longtitle="Gnome client for Jabber Open Source instant messaging system" \
command="%{_bindir}/%{name}" \
icon="%{name}.png"
EOF

mkdir -p $RPM_BUILD_ROOT%{_miconsdir} $RPM_BUILD_ROOT%{_liconsdir}
(cd $RPM_BUILD_DIR/%{name}-%{version}
install -m 644 %{name}_16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m 644 %{name}_32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m 644 %{name}_48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
)

%{find_lang} %{name}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
%{update_menus} 
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update || true ; fi

%postun
%{clean_menus}
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update || true ; fi

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ABOUT-NLS ChangeLog NEWS README TODO
%config(noreplace) %{_sysconfdir}/sound/events/*
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/sounds/*
%{_datadir}/gnome/help/*
%{_datadir}/gnome/apps/Internet/*
%{_datadir}/%{name}
%{_datadir}/omf/*
%{_mandir}/*/*
%{_menudir}/*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png


%changelog
* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.6-2mdk
- xpm -> png icons

* Mon Jan 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.6-1mdk
- Release 0.8.6
- Remove patch0 (merged upstream)

* Sat Dec  1 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 0.8.5-3mdk
- fix variable type, which fixes build on 64-bit platforms
- use %%makeinstall again
- use %%configure2_5x macro instead of %%configure, to pass
  --build/--host/--target to configure

* Mon Nov 19 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.5-2mdk
- Use old_makefile macro
- Enforce dependencies
- Disable some optimizations

* Wed Nov 14 2001 Vincent Saugey <vince@mandrakesoft.com> 0.8.5-1mdk
- Up version

* Fri Nov  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.4-7mdk
- Recompiled against latest gal

* Mon Oct 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.4-6mdk
- Recompiled against latest gal

* Thu Oct 18 2001 Stefan van der Eijk <stefan@eijk.nu> 0.8.4-5mdk
- BuildRequires: libxml-devel

* Mon Oct 01 2001 Stefan van der Eijk <stefan@eijk.nu> 0.8.4-4mdk
- BuildRequires: gdk-pixbuf-devel gnome-print-devel

* Wed Aug 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.4-3mdk
- Recompiled against libgal11

* Fri Aug 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.4-2mdk
- Recompiled against latest gal/gnomemm/gtkmm

* Tue Jul 24 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.4-1mdk
- Release 0.8.4
- Remove source1 (french translation is up to date)
- Remove patch 0 (merged upstream)

* Fri Mar 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.2-2mdk
- Correct BuildRequires

* Thu Mar 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.2-1mdk
- Release 0.8.2
- Add updated french translation
- Patch 0 to remove gcc 2.96 warning

* Wed Feb 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.1-2mdk
- rebuild against last gnomemm

* Thu Jan 18 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.1-1mdk
- Release 0.8.1

* Fri Jan 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.0-1mdk
- Release 0.8.0
- Build now with gcc 2.96
- Add missing files
- Embed menu entry in specfile

* Tue Sep 26 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.0-3mdk
- Menu title should begin with Capital letter 

* Fri Sep  1 2000 Vincent Saugey <vince@mandrakesoft.com> 0.7.0-2mdk
- Rebuild for next release

* Thu Aug  3 2000 Vincent Saugey <vince@mandrakesoft.com> 0.7.0-1mdk
- First mdk release
